package ru.dbotthepony.mc.otm.datagen.recipes

fun addPlatePressRecipes(provider: MatteryRecipeProvider) {
	val baselineMetals = arrayOf("iron", "silver", "bronze", "lead", "constantan", "brass")
	val softMetals = arrayOf("gold", "aluminum", "aluminium", "copper", "electrum", "zinc")
	val hardMetals = arrayOf("tritanium", "steel", "tungsten", "uranium")

	for (thing in baselineMetals) {
		provider.plate(thing)
	}

	for (thing in softMetals) {
		provider.plate(thing, workTicks = 140)
	}

	for (thing in hardMetals) {
		provider.plate(thing, workTicks = 300)
	}
}
