package ru.dbotthepony.mc.otm.registry.objects

import net.minecraft.world.level.block.Block
import net.minecraft.world.level.block.SoundType
import net.minecraft.world.level.block.state.BlockBehaviour
import net.minecraft.world.level.material.Material
import net.minecraft.world.level.material.MaterialColor

class CrateProperties(val color: MaterialColor, val name: String) {
	fun makeBlock(): Block {
		return Block(
			BlockBehaviour.Properties.of(Material.METAL, color)
				.sound(SoundType.METAL)
				.requiresCorrectToolForDrops()
				.strength(5.0F, 6.0F)
		)
	}
}